Skip to main content

Units

Endpoints for describing and managing Units


Request a list of units

Block Model API

Version: 1.42.9

Get the list of available units

Parameters

authorizationstring
Required

Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"

ID of the organization this call is scoped to. Represented as a v4 UUID.

Returns

200

Successful Response

Examples: 1, 1000

Conversion factor to convert to the reference unit for this unit type

Examples: "Metres", "Kilograms per cubic metre"

Description of the unit

Examples: "m", "kg/m³"

Display symbol for the unit

Examples: "m", "kg/m3"

ID of the unit

Examples: "LENGTH", "MASS_PER_VOLUME"

Type of the unit

Endpoint

GET
/blockmodel/orgs/{org_id}/units

Request

curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/units' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

[
{
"conversion_factor": 0,
"description": "string",
"symbol": "string",
"unit_id": "string",
"unit_type": "LENGTH"
}
]

What is the reason for your feedback?